# Generated from crypt3-1.1.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crypt3

Name: rubygem-%{gem_name}
Version: 1.1.6
Release: 1%{?dist}
Summary: Crypt3 is a ruby version of crypt(3)
License: c) Poul-Henning Kamp (BSD-2-Clause
URL: http://rubyworks.github.com/crypt3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(detroit)
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Crypt3 is a ruby version of crypt(3),
a salted one-way hashing of a password.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.index
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.1.6-1
- Initial package
